<?php

namespace App\Generated\V1_1\Messages\Share;

use Kamicloud\StubApi\Concerns\ValueHelper;
use Kamicloud\StubApi\Http\Messages\Message;
use Kamicloud\StubApi\Utils\Constants;

class PairGetMessage extends Message
{
    use ValueHelper;

    protected $listId;
    protected $result;

    /**
     * @return int
     */
    public function getListId()
    {
        return $this->listId;
    }

    public function requestRules()
    {
        return [
            ['listId', 'list_id', 'bail|integer', Constants::INTEGER, null],
        ];
    }

    public function responseRules()
    {
        return [
            ['result', 'result', 'bail', null, null],
        ];
    }

    public function setResponse($result)
    {
        $this->result = $result;
    }

}
